using System.Data.Common;
using Microsoft.EntityFrameworkCore;

namespace MineTec.ProManager.EntityFrameworkCore
{
    public static class ProManagerDbContextConfigurer
    {
        public static void Configure(DbContextOptionsBuilder<ProManagerDbContext> builder, string connectionString)
        {
            builder.UseSqlServer(connectionString);
        }

        public static void Configure(DbContextOptionsBuilder<ProManagerDbContext> builder, DbConnection connection)
        {
            builder.UseSqlServer(connection);
        }
    }
}
